#ifndef _NEUTRAL_MANAGER_
#define _NEUTRAL_MANAGER_

#include <HPLE3DLapper.h>

namespace MotionTest {
namespace NeutralType {
	enum {
		SHELL,
		DANIMOTH,
		MINI_GUN,
		HAND_GUN,
		MEDI_KIT,
		AMMO,
		MEAT,
		CONSOLE,
		HEAD,

		MAX_NUM
		
	};

}
/**
  *
  */
class NeutralManager : public HPL::E3D::AbstractObjectManager<HPL::E3D::E3DObject> {
public:
	NeutralManager();
	virtual ~NeutralManager();
public:

	///////////////////
	// オーバーライド
	BOOL is_Skip( HPL::E3D::E3DObject* obj );
	int checkInView( HPL::E3D::E3DObject* obj );
	int move( HPL::E3D::E3DObject* obj );
	int checkHitToGround( HPL::E3D::E3DObject* obj );
	int checkHitToBillBoard( HPL::E3D::E3DObject* obj ) { return 0;}
	int checkHitToPlayer( HPL::E3D::E3DObject* obj );
	int render( HPL::E3D::E3DObject* obj );

	//int checkHitToEnemy( HPL::E3D::E3DObject* obj );
	int createObjects( int nType, int nNum );

	/** MOAファイル読み込み
	  *
	  */
	int loadMOAFile( const char* lpszFilePath, HPL::E3D::E3DObject* obj );

	int add_Object( int nType, int nSigID );

	/** 待機しているオブジェクトを呼び出します。
	  * @retval NULL	既に全て埋まっていて存在しない場合
	  */
	HPL::E3D::E3DObject* search( int nType);

	BOOL is_Item(int nType);
};
}

#endif
